package cn.estsh.i3plus.pojo.mes.pcn.model;

import io.swagger.annotations.ApiParam;

/**
 * @Description:
 * @Reference:
 * @Author: joke.wang
 * @CreateDate: 2019\12\4 17:10
 * @Modify:
 **/
public class ProduceCtgyPictureModel {

    private Long id;
    private String createUser;
    private String createDatetime;
    private String modifyUser;
    private String modifyDatetime;
    private String organizeCode;
    private Integer isValid;
    private Integer isDeleted;

    @ApiParam("产品类型代码")
    private String produceCategoryCode;

    @ApiParam("面位")
    private String sideLocation;

    @ApiParam("文件id")
    private Long fileId;

    @ApiParam("文件名称")
    private String fileName;
    @ApiParam("文件URL")
    private String fileUrl;
    @ApiParam("组名")
    private String groupName;

    public ProduceCtgyPictureModel() {
    }

    public ProduceCtgyPictureModel(Long id, String createUser, String createDatetime, String modifyUser, String modifyDatetime, String organizeCode, Integer isValid, Integer isDeleted, String produceCategoryCode, String sideLocation, Long fileId, String fileName, String fileUrl, String groupName) {
        this.id = id;
        this.createUser = createUser;
        this.createDatetime = createDatetime;
        this.modifyUser = modifyUser;
        this.modifyDatetime = modifyDatetime;
        this.organizeCode = organizeCode;
        this.isValid = isValid;
        this.isDeleted = isDeleted;
        this.produceCategoryCode = produceCategoryCode;
        this.sideLocation = sideLocation;
        this.fileId = fileId;
        this.fileName = fileName;
        this.fileUrl = fileUrl;
        this.groupName = groupName;
    }
}
